Page MenuHomePhabricator

The source link card is missing when selecting text from source
Closed, InvalidPublic

Description

While translating "Plants in space" I selected "spaceflight" from the source text and I was expecting a source card to appear. No cards were shown.

When trying the same on the translation text (selecting "spaceflight"), both cards (English article and missing link card) were shown, as it would be expected if the article didn't exist in Spanish.

However the "spaceflight" article exists in both English and Spanish. So I'd expect both cards to be shown when selecting the text either in the source or translation texts.

Event Timeline

Pginer-WMF raised the priority of this task from to Normal.
Pginer-WMF updated the task description. (Show Details)
Pginer-WMF updated the task description. (Show Details)Jul 16 2015, 8:46 PM
Pginer-WMF set Security to None.
Amire80 moved this task from Needs Triage to CX6 on the ContentTranslation board.Jul 18 2015, 10:40 PM
Amire80 moved this task from Bugs to Links on the ContentTranslation-Release6 board.
Amire80 moved this task from CX6 to CX7 on the ContentTranslation board.Oct 2 2015, 3:08 PM
Amire80 moved this task from CX7 to Bugs on the ContentTranslation board.Oct 18 2015, 12:20 PM
Arrbee moved this task from Bugs to Check & Move on the ContentTranslation board.Dec 10 2018, 1:32 PM
Etonkovidova closed this task as Resolved.Jan 25 2019, 1:48 AM
Etonkovidova claimed this task.
Etonkovidova added a subscriber: Etonkovidova.

(1) In CX2 selecting words in a source article will not display the link card anymore

(2) A more curios thing - Apertium does not translate "spaceflight", but keep it in the translated text as it is:

Creciendo plantas en espaciales puede proporcionar un beneficio psicológico a humano spaceflight tripulaciones.

The article with the title "spaceflight" does not exist in eswiki - so no suggestions when a user select the word and attempt to insert a link will be given.

(3) Google Translate and Yandex do translate "spaceflight"

El cultivo de plantas en el espacio puede proporcionar un beneficio psicológico para las tripulaciones de los vuelos espaciales tripulados.

But the suggestions will be given only when the exact match for the existing article ("Vuelo espacial") will be selected. Possibly it can be improved, but it's a subject for a different task.

Pginer-WMF changed the task status from Resolved to Invalid.Jan 25 2019, 8:39 AM

(1) In CX2 selecting words in a source article will not display the link card anymore

That's expected to be solved as part of T197075: CX2: Show link card for source links.
Since the current ticket (intended to fix an issue of CX1) no longer makes sense, I'll mark it as invalid to avoid confusion.

Restricted Application removed a subscriber: Liuxinyu970226. · View Herald TranscriptJan 25 2019, 8:39 AM